diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index 87b7d3b..f9d673f 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -61,6 +61,14 @@ main(int argc, char *argv[])
 {
 	bool		do_check_root = true;
 
+	/*
+	 * If supported on the current platform, set up a handler to be called if
+	 * the backend/postmaster crashes with a fatal signal or exception.
+	 */
+#if defined(WIN32) && defined(HAVE_MINIDUMP_TYPE)
+	pgwin32_install_crashdump_handler();
+#endif
+
 	progname = get_progname(argv[0]);
 
 	/*
@@ -82,14 +90,6 @@ main(int argc, char *argv[])
 	argv = save_ps_display_args(argc, argv);
 
 	/*
-	 * If supported on the current platform, set up a handler to be called if
-	 * the backend/postmaster crashes with a fatal signal or exception.
-	 */
-#if defined(WIN32) && defined(HAVE_MINIDUMP_TYPE)
-	pgwin32_install_crashdump_handler();
-#endif
-
-	/*
 	 * Fire up essential subsystems: error and memory management
 	 *
 	 * Code after this point is allowed to use elog/ereport, though
